package com.ibiz.web.module.domain;

import java.io.Serializable;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.List;
import java.util.ArrayList;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * 应用实体[采购单]
 */
public class PS implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 更新时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    private Timestamp updateDate;

    @JsonIgnore
    private boolean updateDateDirtyFlag;
    
    /**
     * 更新人
     */
    private String updateMan;

    @JsonIgnore
    private boolean updateManDirtyFlag;
    
    /**
     * 备注
     */
    private String bz;

    @JsonIgnore
    private boolean bzDirtyFlag;
    
    /**
     * 建立时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    private Timestamp createDate;

    @JsonIgnore
    private boolean createDateDirtyFlag;
    
    /**
     * 采购单名称
     */
    private String pSName;

    @JsonIgnore
    private boolean pSNameDirtyFlag;
    
    /**
     * 建立人
     */
    private String createMan;

    @JsonIgnore
    private boolean createManDirtyFlag;
    
    /**
     * 采购单标识
     */
    private String pSId;

    @JsonIgnore
    private boolean pSIdDirtyFlag;
    
    /**
     * NGRID
     */
    private String ngrid;

    @JsonIgnore
    private boolean ngridDirtyFlag;
    
    /**
     * 重要事项状态
     */
    private String imstate;

    @JsonIgnore
    private boolean imstateDirtyFlag;
    

    /**
     * 获取 [更新时间]
     */
    @JsonProperty("updatedate")
    public Timestamp getUpdateDate(){
        return this.updateDate ;
    }

    /**
     * 设置 [更新时间]
     */
    @JsonProperty("updatedate")
    public void setUpdateDate(Timestamp  updateDate){
        this.updateDate = updateDate ;
        this.updateDateDirtyFlag = true ;
    }

    /**
     * 获取 [更新时间]脏标记
     */
    @JsonIgnore
    public boolean getUpdateDateDirtyFlag(){
        return this.updateDateDirtyFlag ;
    }

    /**
     * 获取 [更新人]
     */
    @JsonProperty("updateman")
    public String getUpdateMan(){
        return this.updateMan ;
    }

    /**
     * 设置 [更新人]
     */
    @JsonProperty("updateman")
    public void setUpdateMan(String  updateMan){
        this.updateMan = updateMan ;
        this.updateManDirtyFlag = true ;
    }

    /**
     * 获取 [更新人]脏标记
     */
    @JsonIgnore
    public boolean getUpdateManDirtyFlag(){
        return this.updateManDirtyFlag ;
    }

    /**
     * 获取 [备注]
     */
    @JsonProperty("bz")
    public String getBz(){
        return this.bz ;
    }

    /**
     * 设置 [备注]
     */
    @JsonProperty("bz")
    public void setBz(String  bz){
        this.bz = bz ;
        this.bzDirtyFlag = true ;
    }

    /**
     * 获取 [备注]脏标记
     */
    @JsonIgnore
    public boolean getBzDirtyFlag(){
        return this.bzDirtyFlag ;
    }

    /**
     * 获取 [建立时间]
     */
    @JsonProperty("createdate")
    public Timestamp getCreateDate(){
        return this.createDate ;
    }

    /**
     * 设置 [建立时间]
     */
    @JsonProperty("createdate")
    public void setCreateDate(Timestamp  createDate){
        this.createDate = createDate ;
        this.createDateDirtyFlag = true ;
    }

    /**
     * 获取 [建立时间]脏标记
     */
    @JsonIgnore
    public boolean getCreateDateDirtyFlag(){
        return this.createDateDirtyFlag ;
    }

    /**
     * 获取 [采购单名称]
     */
    @JsonProperty("psname")
    public String getPSName(){
        return this.pSName ;
    }

    /**
     * 设置 [采购单名称]
     */
    @JsonProperty("psname")
    public void setPSName(String  pSName){
        this.pSName = pSName ;
        this.pSNameDirtyFlag = true ;
    }

    /**
     * 获取 [采购单名称]脏标记
     */
    @JsonIgnore
    public boolean getPSNameDirtyFlag(){
        return this.pSNameDirtyFlag ;
    }

    /**
     * 获取 [建立人]
     */
    @JsonProperty("createman")
    public String getCreateMan(){
        return this.createMan ;
    }

    /**
     * 设置 [建立人]
     */
    @JsonProperty("createman")
    public void setCreateMan(String  createMan){
        this.createMan = createMan ;
        this.createManDirtyFlag = true ;
    }

    /**
     * 获取 [建立人]脏标记
     */
    @JsonIgnore
    public boolean getCreateManDirtyFlag(){
        return this.createManDirtyFlag ;
    }

    /**
     * 获取 [采购单标识]
     */
    @JsonProperty("psid")
    public String getPSId(){
        return this.pSId ;
    }

    /**
     * 设置 [采购单标识]
     */
    @JsonProperty("psid")
    public void setPSId(String  pSId){
        this.pSId = pSId ;
        this.pSIdDirtyFlag = true ;
    }

    /**
     * 获取 [采购单标识]脏标记
     */
    @JsonIgnore
    public boolean getPSIdDirtyFlag(){
        return this.pSIdDirtyFlag ;
    }

    /**
     * 获取 [NGRID]
     */
    @JsonProperty("ngrid")
    public String getNgrid(){
        return this.ngrid ;
    }

    /**
     * 设置 [NGRID]
     */
    @JsonProperty("ngrid")
    public void setNgrid(String  ngrid){
        this.ngrid = ngrid ;
        this.ngridDirtyFlag = true ;
    }

    /**
     * 获取 [NGRID]脏标记
     */
    @JsonIgnore
    public boolean getNgridDirtyFlag(){
        return this.ngridDirtyFlag ;
    }

    /**
     * 获取 [重要事项状态]
     */
    @JsonProperty("imstate")
    public String getImstate(){
        return this.imstate ;
    }

    /**
     * 设置 [重要事项状态]
     */
    @JsonProperty("imstate")
    public void setImstate(String  imstate){
        this.imstate = imstate ;
        this.imstateDirtyFlag = true ;
    }

    /**
     * 获取 [重要事项状态]脏标记
     */
    @JsonIgnore
    public boolean getImstateDirtyFlag(){
        return this.imstateDirtyFlag ;
    }



}
